headless lms

Decline a person's request to join a space you moderate

POST /api/member/communities/{communityId}/spaces/{spaceId}/members/{orgUserId}/decline. Decline a person's request to join a space you moderate. Headless LMS Communities API reference.

POST
/api/member/communities/{communityId}/spaces/{spaceId}/members/{orgUserId}/decline

For a moderator who is a member of the community. Closes the open request. 404 when the person has no open request; 409 when they are already a member.

Path Parameters

communityId*string
spaceId*string
orgUserId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/member/communities/string/spaces/string/members/string/decline"
{  "orgId": "string",  "id": "string",  "communityId": "string",  "spaceId": "string",  "orgUserId": "string",  "status": "requested",  "source": "request",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}